Bug 1965263 - [volume snapshot] "oc get volumesnapshotcontent" should display the volumesnapshot namespace info
Summary: [volume snapshot] "oc get volumesnapshotcontent" should display the volumesna...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Tomas Smetana
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-27 10:02 UTC by Wei Duan
Modified: 2021-10-18 17:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: The "oc get volumesnapshotcontent" displayed the referenced VolumeSnapshot object but not its namespace. This has been fixed and the command now displayse also the namespace of the object. Reason: Without the namespace the referenced VolumeSnapshot is not uniquely identified. Result: The VolumeSnapshot namespace is now also displayed.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:31:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 93 0 None open Bug 1965263: VolumeSnapshotContents listing should print also namespace of the VolumeSnapshot ref. 2021-06-16 10:50:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:32:04 UTC

Description Wei Duan 2021-05-27 10:02:02 UTC
Description of problem:
volumesnapshot is a namespace-level resource, when using "oc get volumesnapshotcontent", it only displays the volumesnapshot without namespace:
$ oc get volumesnapshotcontent
NAME                                               READYTOUSE   RESTORESIZE   DELETIONPOLICY   DRIVER            VOLUMESNAPSHOTCLASS     VOLUMESNAPSHOT   AGE
snapcontent-8b6af332-74dc-40e2-8525-8c58c49b3dc9   true         1073741824    Delete           ebs.csi.aws.com   csi-aws-ebs-snapclass   mysnapshot       111s
snapcontent-b565f6ab-427f-4378-937d-acea8aa26a16   true         1073741824    Delete           ebs.csi.aws.com   csi-aws-ebs-snapclass   mysnapshot       127m

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-05-25-223219

How reproducible:
Always

Steps to Reproduce:
1. Create volumesnapshots with the same name in different namespaces
2. Use the "oc get volumesnapshotcontent" to check the relationship with volumesnapshot
$ oc get volumesnapshotcontent
NAME                                               READYTOUSE   RESTORESIZE   DELETIONPOLICY   DRIVER            VOLUMESNAPSHOTCLASS     VOLUMESNAPSHOT   AGE
snapcontent-8b6af332-74dc-40e2-8525-8c58c49b3dc9   true         1073741824    Delete           ebs.csi.aws.com   csi-aws-ebs-snapclass   mysnapshot       111s
snapcontent-b565f6ab-427f-4378-937d-acea8aa26a16   true         1073741824    Delete           ebs.csi.aws.com   csi-aws-ebs-snapclass   mysnapshot       127m

Actual results:
No namespace info for the volumesnapshot

Expected results:
Need to display the namespace info

Comment 2 Wei Duan 2021-06-24 02:20:05 UTC
Verified pass with 4.9.0-0.nightly-2021-06-23-160041

$ oc get VOLUMESNAPSHOTCONTENT
NAME                                               READYTOUSE   RESTORESIZE   DELETIONPOLICY   DRIVER            VOLUMESNAPSHOTCLASS     VOLUMESNAPSHOT   VOLUMESNAPSHOTNAMESPACE   AGE
snapcontent-67ef0a76-106b-464c-b1fc-0ad834a3a487   true         3221225472    Delete           ebs.csi.aws.com   csi-aws-ebs-snapclass   mysnapshot       default                   80s

Comment 5 errata-xmlrpc 2021-10-18 17:31:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.